local BC = LibStub("LibBabble-Class-3.0"):GetLookupTable()
local L  = AceLibrary("AceLocale-2.2"):new("Mendeleev")

	table.insert(MENDELEEV_SETS, {
		name = L["Tier 6 Set"],
		setindex = "GearSet.Tier 6",
		colour = "|cffB0C4DE",
		header = L["Tier 6 Set"],
		useval = function (v) return (string.format(" (%.1f%%)", v/10)) or "" end,
		quality = 3,
		sets = {
			["GearSet.Tier 6.Druid.Thunderheart Harness"]=BC["Druid"],
			["GearSet.Tier 6.Druid.Thunderheart Raiment"]=BC["Druid"],
			["GearSet.Tier 6.Druid.Thunderheart Regalia"]=BC["Druid"],
			["GearSet.Tier 6.Hunter.Gronnstalker's Armor"]=BC["Hunter"],
			["GearSet.Tier 6.Mage.Tempest Regalia"]=BC["Mage"],
			["GearSet.Tier 6.Paladin.Lightbringer Armor"]=BC["Paladin"],
			["GearSet.Tier 6.Paladin.Lightbringer Battlegear"]=BC["Paladin"],
			["GearSet.Tier 6.Paladin.Lightbringer Raiment"]=BC["Paladin"],
			["GearSet.Tier 6.Priest.Vestments of Absolution"]=BC["Priest"],
			["GearSet.Tier 6.Priest.Absolution Regalia"]=BC["Priest"],
			["GearSet.Tier 6.Rogue.Slayer's Armor"]=BC["Rogue"],
			["GearSet.Tier 6.Shaman.Skyshatter Harness"]=BC["Shaman"],
			["GearSet.Tier 6.Shaman.Skyshatter Raiment"]=BC["Shaman"],
			["GearSet.Tier 6.Shaman.Skyshatter Regalia"]=BC["Shaman"],
			["GearSet.Tier 6.Warlock.Malefic Raiment"]=BC["Warlock"],
			["GearSet.Tier 6.Warrior.Onslaught Armor"]=BC["Warrior"],
			["GearSet.Tier 6.Warrior.Onslaught Battlegear"]=BC["Warrior"],
		},
	})
	
	table.insert(MENDELEEV_SETS, {
		name = L["Tier 5 Set"],
		setindex = "GearSet.Tier 5",
		colour = "|cffB0C4DE",
		header = L["Tier 5 Set"],
		useval = function (v) return (string.format(" (%.1f%%)", v/10)) or "" end,
		quality = 3,
		sets = {
			["GearSet.Tier 5.Druid.Nordrassil Harness"]=BC["Druid"],
			["GearSet.Tier 5.Druid.Nordrassil Raiment"]=BC["Druid"],
			["GearSet.Tier 5.Druid.Nordrassil Regalia"]=BC["Druid"],
			["GearSet.Tier 5.Hunter.Rift Stalker Armor"]=BC["Hunter"],
			["GearSet.Tier 5.Mage.Tirisfal Regalia"]=BC["Mage"],
			["GearSet.Tier 5.Paladin.Crystalforge Armor"]=BC["Paladin"],
			["GearSet.Tier 5.Paladin.Crystalforge Battlegear"]=BC["Paladin"],
			["GearSet.Tier 5.Paladin.Crystalforge Raiment"]=BC["Paladin"],
			["GearSet.Tier 5.Priest.Avatar Raiment"]=BC["Priest"],
			["GearSet.Tier 5.Priest.Avatar Regalia"]=BC["Priest"],
			["GearSet.Tier 5.Rogue.Deathmantle"]=BC["Rogue"],
			["GearSet.Tier 5.Shaman.Cataclysm Harness"]=BC["Shaman"],
			["GearSet.Tier 5.Shaman.Cataclysm Raiment"]=BC["Shaman"],
			["GearSet.Tier 5.Shaman.Cataclysm Regalia"]=BC["Shaman"],
			["GearSet.Tier 5.Warlock.Corruptor Raiment"]=BC["Warlock"],
			["GearSet.Tier 5.Warrior.Destroyer Armor"]=BC["Warrior"],
			["GearSet.Tier 5.Warrior.Destroyer Battlegear"]=BC["Warrior"],
		},
	})
	
	table.insert(MENDELEEV_SETS, {
		name = L["Tier 4 Set"],
		setindex = "GearSet.Tier 4",
		colour = "|cffB0C4DE",
		header = L["Tier 4 Set"],
		useval = function (v) return (string.format(" (%.1f%%)", v/10)) or "" end,
		quality = 3,
		sets = {
			["GearSet.Tier 4.Druid.Malorne Harness"]=BC["Druid"],
			["GearSet.Tier 4.Druid.Malorne Raiment"]=BC["Druid"],
			["GearSet.Tier 4.Druid.Malorne Regalia"]=BC["Druid"],
			["GearSet.Tier 4.Hunter.Demon Stalker Armor"]=BC["Hunter"],
			["GearSet.Tier 4.Mage.Aldor Regalia"]=BC["Mage"],
			["GearSet.Tier 4.Paladin.Justicar Armor"]=BC["Paladin"],
			["GearSet.Tier 4.Paladin.Justicar Battlegear"]=BC["Paladin"],
			["GearSet.Tier 4.Paladin.Justicar Raiment"]=BC["Paladin"],
			["GearSet.Tier 4.Priest.Incarnate Raiment"]=BC["Priest"],
			["GearSet.Tier 4.Priest.Incarnate Regalia"]=BC["Priest"],
			["GearSet.Tier 4.Rogue.Netherblade"]=BC["Rogue"],
			["GearSet.Tier 4.Shaman.Cyclone Harness"]=BC["Shaman"],
			["GearSet.Tier 4.Shaman.Cyclone Raiment"]=BC["Shaman"],
			["GearSet.Tier 4.Shaman.Cyclone Regalia"]=BC["Shaman"],
			["GearSet.Tier 4.Warlock.Voidheart Raiment"]=BC["Warlock"],
			["GearSet.Tier 4.Warrior.Warbringer Armor"]=BC["Warrior"],
			["GearSet.Tier 4.Warrior.Warbringer Battlegear"]=BC["Warrior"],
		},
	})
	
	table.insert(MENDELEEV_SETS, {
		name = L["Tier 3 Set"],
		setindex = "GearSet.Tier 3",
		colour = "|cffB0C4DE",
		header = L["Tier 3 Set"],
		useval = function (v) return (string.format(" (%.1f%%)", v/10)) or "" end,
		quality = 3,
		sets = {
			["GearSet.Tier 3.Druid.Dreamwalker Raiment"]=BC["Druid"],
			["GearSet.Tier 3.Hunter.Cryptstalker Armor"]=BC["Hunter"],
			["GearSet.Tier 3.Mage.Frostfire Regalia"]=BC["Mage"],
			["GearSet.Tier 3.Paladin.Redemption Armor"]=BC["Paladin"],
			["GearSet.Tier 3.Priest.Vestments of Faith"]=BC["Priest"],
			["GearSet.Tier 3.Rogue.Bonescythe Armor"]=BC["Rogue"],
			["GearSet.Tier 3.Shaman.The Earthshatterer"]=BC["Shaman"],
			["GearSet.Tier 3.Warlock.Plagueheart Raiment"]=BC["Warlock"],
			["GearSet.Tier 3.Warrior.Dreadnaught's Battlegear"]=BC["Warrior"],
		},
	})
	
	table.insert(MENDELEEV_SETS, {
		name = L["Tier 2.5 Set"],
		setindex = "GearSet.Ahn'Qiraj.40",
		colour = "|cffB0C4DE",
		header = L["Tier 2.5 Set"],
		useval = function (v) return (string.format(" (%.1f%%)", v/10)) or "" end,
		quality = 3,
		sets = {
			["GearSet.Ahn'Qiraj.40.Druid.Genesis Raiment"]=BC["Druid"],
			["GearSet.Ahn'Qiraj.40.Hunter.Striker's Garb"]=BC["Hunter"],
			["GearSet.Ahn'Qiraj.40.Mage.Enigma Vestments"]=BC["Mage"],
			["GearSet.Ahn'Qiraj.40.Paladin.Avenger's Battlegear"]=BC["Paladin"],
			["GearSet.Ahn'Qiraj.40.Priest.Garments of the Oracle"]=BC["Priest"],
			["GearSet.Ahn'Qiraj.40.Rogue.Deathdealer's Embrace"]=BC["Rogue"],
			["GearSet.Ahn'Qiraj.40.Shaman.Stormcaller's Garb"]=BC["Shaman"],
			["GearSet.Ahn'Qiraj.40.Warlock.Doomcaller's Attire"]=BC["Warlock"],
			["GearSet.Ahn'Qiraj.40.Warrior.Conqueror's Battlegear"]=BC["Warrior"],
		},
	})
	
		table.insert(MENDELEEV_SETS, {
		name = L["Tier 2 Set"],
		setindex = "GearSet.Tier 2",
		colour = "|cffB0C4DE",
		header = L["Tier 2 Set"],
		useval = function (v) return (string.format(" (%.1f%%)", v/10)) or "" end,
		quality = 3,
		sets = {
			["GearSet.Tier 2.Druid.Stormrage Raiment"]=BC["Druid"],
			["GearSet.Tier 2.Hunter.Dragonstalker Armor"]=BC["Hunter"],
			["GearSet.Tier 2.Mage.Netherwind Regalia"]=BC["Mage"],
			["GearSet.Tier 2.Paladin.Judgement Armor"]=BC["Paladin"],
			["GearSet.Tier 2.Priest.Vestments of Transcendence"]=BC["Priest"],
			["GearSet.Tier 2.Rogue.Bloodfang Armor"]=BC["Rogue"],
			["GearSet.Tier 2.Shaman.The Ten Storms"]=BC["Shaman"],
			["GearSet.Tier 2.Warlock.Nemesis Raiment"]=BC["Warlock"],
			["GearSet.Tier 2.Warrior.Battlegear of Wrath"]=BC["Warrior"],
		},
	})
	
	table.insert(MENDELEEV_SETS, {
		name = L["Tier 1 Set"],
		setindex = "GearSet.Tier 1",
		colour = "|cffB0C4DE",
		header = L["Tier 1 Set"],
		useval = function (v) return (string.format(" (%.1f%%)", v/10)) or "" end,
		quality = 3,
		sets = {
			["GearSet.Tier 1.Druid.Cenarion Raiment"]=BC["Druid"],
			["GearSet.Tier 1.Hunter.Giantstalker Armor"]=BC["Hunter"],
			["GearSet.Tier 1.Mage.Arcanist Regalia"]=BC["Mage"],
			["GearSet.Tier 1.Paladin.Lawbringer Armor"]=BC["Paladin"],
			["GearSet.Tier 1.Priest.Vestments of Prophecy"]=BC["Priest"],
			["GearSet.Tier 1.Rogue.Nightslayer Armor"]=BC["Rogue"],
			["GearSet.Tier 1.Shaman.The Earthfury"]=BC["Shaman"],
			["GearSet.Tier 1.Warlock.Felheart Raiment"]=BC["Warlock"],
			["GearSet.Tier 1.Warrior.Battlegear of Might"]=BC["Warrior"],
		},
	})
	
	table.insert(MENDELEEV_SETS, {
		name = L["Arena - Season 3 Set"],
		setindex = "GearSet.PvP.Arena3",
		colour = "|cffB0C4DE",
		header = L["Arena - Season 3 Set"],
		useval = function (v) return (string.format(" (%.1f%%)", v/10)) or "" end,
		quality = 3,
		sets = {
			["GearSet.PvP.Arena3.Druid.Vengeful Gladiator's Refuge"]=BC["Druid"],
			["GearSet.PvP.Arena3.Druid.Vengeful Gladiator's Sanctuary"]=BC["Druid"],
			["GearSet.PvP.Arena3.Druid.Vengeful Gladiator's Wildhide"]=BC["Druid"],
			["GearSet.PvP.Arena3.Hunter.Vengeful Gladiator's Pursuit"]=BC["Hunter"],
			["GearSet.PvP.Arena3.Mage.Vengeful Gladiator's Regalia"]=BC["Mage"],
			["GearSet.PvP.Arena3.Paladin.Vengeful Gladiator's Aegis"]=BC["Paladin"],
			["GearSet.PvP.Arena3.Paladin.Vengeful Gladiator's Redemption"]=BC["Paladin"],
			["GearSet.PvP.Arena3.Paladin.Vengeful Gladiator's Vindication"]=BC["Paladin"],
			["GearSet.PvP.Arena3.Priest.Vengeful Gladiator's Investiture"]=BC["Priest"],
			["GearSet.PvP.Arena3.Priest.Vengeful Gladiator's Raiment"]=BC["Priest"],
			["GearSet.PvP.Arena3.Rogue.Vengeful Gladiator's Vestments"]=BC["Rogue"],
			["GearSet.PvP.Arena3.Shaman.Vengeful Gladiator's Earthshaker"]=BC["Shaman"],
			["GearSet.PvP.Arena3.Shaman.Vengeful Gladiator's Thunderfist"]=BC["Shaman"],
			["GearSet.PvP.Arena3.Shaman.Vengeful Gladiator's Wartide"]=BC["Shaman"],
			["GearSet.PvP.Arena3.Warlock.Vengeful Gladiator's Dreadgear"]=BC["Warlock"],
			["GearSet.PvP.Arena3.Warlock.Vengeful Gladiator's Felshroud"]=BC["Warlock"],
			["GearSet.PvP.Arena3.Warrior.Vengeful Gladiator's Battlegear"]=BC["Warrior"],
		},
	})
	
	table.insert(MENDELEEV_SETS, {
		name = L["Arena - Season 2 Set"],
		setindex = "GearSet.PvP.Arena2",
		colour = "|cffB0C4DE",
		header = L["Arena - Season 2 Set"],
		useval = function (v) return (string.format(" (%.1f%%)", v/10)) or "" end,
		quality = 3,
		sets = {
			["GearSet.PvP.Arena2.Druid.Merciless Gladiator's Refuge"]=BC["Druid"],
			["GearSet.PvP.Arena2.Druid.Merciless Gladiator's Sanctuary"]=BC["Druid"],
			["GearSet.PvP.Arena2.Druid.Merciless Gladiator's Wildhide"]=BC["Druid"],
			["GearSet.PvP.Arena2.Hunter.Merciless Gladiator's Pursuit"]=BC["Hunter"],
			["GearSet.PvP.Arena2.Mage.Merciless Gladiator's Regalia"]=BC["Mage"],
			["GearSet.PvP.Arena2.Paladin.Merciless Gladiator's Aegis"]=BC["Paladin"],
			["GearSet.PvP.Arena2.Paladin.Merciless Gladiator's Redemption"]=BC["Paladin"],
			["GearSet.PvP.Arena2.Paladin.Merciless Gladiator's Vindication"]=BC["Paladin"],
			["GearSet.PvP.Arena2.Priest.Merciless Gladiator's Investiture"]=BC["Priest"],
			["GearSet.PvP.Arena2.Priest.Merciless Gladiator's Raiment"]=BC["Priest"],
			["GearSet.PvP.Arena2.Rogue.Merciless Gladiator's Vestments"]=BC["Rogue"],
			["GearSet.PvP.Arena2.Shaman.Merciless Gladiator's Earthshaker"]=BC["Shaman"],
			["GearSet.PvP.Arena2.Shaman.Merciless Gladiator's Thunderfist"]=BC["Shaman"],
			["GearSet.PvP.Arena2.Shaman.Merciless Gladiator's Wartide"]=BC["Shaman"],
			["GearSet.PvP.Arena2.Warlock.Merciless Gladiator's Dreadgear"]=BC["Warlock"],
			["GearSet.PvP.Arena2.Warlock.Merciless Gladiator's Felshroud"]=BC["Warlock"],
			["GearSet.PvP.Arena2.Warrior.Merciless Gladiator's Battlegear"]=BC["Warrior"],
		},
	})
	
	table.insert(MENDELEEV_SETS, {
		name = L["Arena - Season 1 Set"],
		setindex = "GearSet.PvP.Arena",
		colour = "|cffB0C4DE",
		header = L["Arena - Season 1 Set"],
		useval = function (v) return (string.format(" (%.1f%%)", v/10)) or "" end,
		quality = 3,
		sets = {
			["GearSet.PvP.Arena.Druid.Gladiator's Refuge"]=BC["Druid"],
			["GearSet.PvP.Arena.Druid.Gladiator's Sanctuary"]=BC["Druid"],
			["GearSet.PvP.Arena.Druid.Gladiator's Wildhide"]=BC["Druid"],
			["GearSet.PvP.Arena.Hunter.Gladiator's Pursuit"]=BC["Hunter"],
			["GearSet.PvP.Arena.Mage.Gladiator's Regalia"]=BC["Mage"],
			["GearSet.PvP.Arena.Paladin.Gladiator's Aegis"]=BC["Paladin"],
			["GearSet.PvP.Arena.Paladin.Gladiator's Redemption"]=BC["Paladin"],
			["GearSet.PvP.Arena.Paladin.Gladiator's Vindication"]=BC["Paladin"],
			["GearSet.PvP.Arena.Priest.Gladiator's Investiture"]=BC["Priest"],
			["GearSet.PvP.Arena.Priest.Gladiator's Raiment"]=BC["Priest"],
			["GearSet.PvP.Arena.Rogue.Gladiator's Vestments"]=BC["Rogue"],
			["GearSet.PvP.Arena.Shaman.Gladiator's Earthshaker"]=BC["Shaman"],
			["GearSet.PvP.Arena.Shaman.Gladiator's Thunderfist"]=BC["Shaman"],
			["GearSet.PvP.Arena.Shaman.Gladiator's Wartide"]=BC["Shaman"],
			["GearSet.PvP.Arena.Warlock.Gladiator's Dreadgear"]=BC["Warlock"],
			["GearSet.PvP.Arena.Warlock.Gladiator's Felshroud"]=BC["Warlock"],
			["GearSet.PvP.Arena.Warrior.Gladiator's Battlegear"]=BC["Warrior"],
		},
	})
